<?php
namespace AustraliaPost\Extensions\Business\API\Wrapper;

use AustraliaPost\Extensions\Business\API\Wrapper\Connector;
use AustraliaPost\Extensions\Business\API\Wrapper\Connectors\My_Post_Connector;

class Organisations {

	private $endpoint = '/organisations';
	private $connector;

	/**
	 * Account constructor.
	 *
	 * @param My_Post_Connector $connector
	 */
	public function __construct( $connector )
	{
		$this->connector = $connector;
	}


	public function get_organisations()
	{
		return $this->connector->connect(
			$this->get_endpoint(),
			'GET'
		);
	}

	private function get_endpoint()
	{
		return $this->endpoint;
	}

	/**
	 * @return ?array
	 */
	public function get_account()
	{
		$organisations = $this->get_organisations();

		if (!isset($organisations['organisations']) || count($organisations['organisations']) === 0) {
			return null;
		}

		$firstOrganization = $organisations['organisations'][0];

		if (!isset($firstOrganization['accounts']) || count($firstOrganization['accounts']) === 0) {
			return null;
		}

		return $firstOrganization['accounts'][0];
	}


}
